@import "styles/colors.scss";

.alert-block {
  background: linear-gradient(
    116.34deg,
    #5963c5 0%,
    #4f54be 30%,
    #332bac 88%,
    #2d22a8 100%
  );

  max-width: 1200px;
  margin: 0 auto;
  border-radius: 16px;
  box-shadow: 0 2px 162px 0 rgba(45, 34, 168, 0.44);

  .status-block {
    border-radius: 18.5px;
    padding: 6px 30px;
    display: inline-block;
    color: white;

    &.status-2 {
      background-color: $red-light;
      border: 1px solid $red-light;
    }

    &.status-1 {
      background-color: $green-light;
      border: 1px solid $green-light;
    }
  }

  .currency-block {
    color: white;
    border-radius: 21px;
    background-color: $blue;
    padding: 14px 42px 10px 42px;
  }

  .num-block {
    text-align: center;
    min-width: 100px;
    margin-left: 15px;
    padding: 6px 14px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 17.5px;
    background-color: rgba(255, 255, 255, 0.1);
  }

  .info-border {
    border-left: 1px solid rgba($blue-light, 0.6);
  }

  .header-border {
    border-bottom: 1px solid rgba($blue-light, 0.6);
  }

  .alert-content {
    white-space: pre-wrap;
    padding: 85px 70px;
  }
}
